'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _curry = /*#__PURE__*/require('./../curry');

var _curry2 = /*#__PURE__*/_interopRequireDefault(_curry);

var _isArray = /*#__PURE__*/require('./../util/isArray');

var _isArray2 = /*#__PURE__*/_interopRequireDefault(_isArray);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Returns the symmetric difference between two arrays.
//
// symmetricDifference([ 1, 2, 3 ], [ 1, 2, 4 ]);
// >> [ 3, 4 ]
//
exports.default = /*#__PURE__*/(0, _curry2.default)((a, b) => {
  const sA = (0, _isArray2.default)(a) ? new Set(a) : new Set();
  const sB = (0, _isArray2.default)(b) ? new Set(b) : new Set();

  return [...a.filter(x => !sB.has(x)), ...b.filter(x => !sA.has(x))];
});